FCLOSE(3)

NAME
fclose - close a stream

SYNOPSIS
#include <stdio.h>

int fclose (FILE *stream);

DESCRIPTION
The fclose function dissociates the named stream from its underlying file or set of functions. If the stream was being used for output, any buffered data is written first, using fflush(3).

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, EOF is returned and the global variable errno is set to indicate the error. In either case no further access to the stream is possible.

ERRORS

    EBADF
        The argument stream is not an open stream.

The fclose function may also fail and set errno for any of the errors specified for the routines close(2) or fflush(3).

SEE ALSO
close(2), fflush(3), fopen(3), setbuf(3)

STANDARDS
The fclose function conforms to ANSI/C.